Skip to main content
GET
/
api
/
v1
/
scheduling
/
{business_id}
/
{establishment_id}
/
services
List services offered by an establishment
curl --request GET \
  --url https://api.izap.ai/api/v1/scheduling/{business_id}/{establishment_id}/services \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 42,
    "name": "Corte de cabelo",
    "price": 60,
    "duration_minutes": 30
  }
]

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /api/v1/auth/jwt/login, the OAuth token endpoint, or a business-scoped API token. Some Business/Chat/Template/Scheduling endpoints alternatively accept HTTP Basic credentials scoped to the business slug.

Path Parameters

business_id
string<uuid>
required
establishment_id
string
required

Query Parameters

name
string
page
integer
default:1
page_size
integer
default:100

Response

Services list.

id
integer
name
string
description
string | null
category
string | null
price
number
duration_minutes
integer